Purchase question

Post Reply
victomteng
Posts: 2
Joined: Tue May 22, 2018 10:03 am
languages_spoken: english
Contact:

Purchase question

Unread post by victomteng » Tue May 22, 2018 10:08 am

Hi,

I'm currently in Singapore and I tried to purchase the XU4 series online. However everytime when I filled in my bill information and clicked on "continue to payment", I was always directed to the
"Can’t connect securely to this page
This might be because the site uses outdated or unsafe TLS security settings. If this keeps happening, try contacting the website’s owner."

Anyone knows what's happening?


Thanks,
Gelei

User avatar
rooted
Posts: 6263
Joined: Fri Dec 19, 2014 9:12 am
languages_spoken: english
Location: Gulf of Mexico, US
Contact:

Re: Purchase question

Unread post by rooted » Tue May 22, 2018 11:45 am

Send an email to <odroidcontact at gmail dot com> or <odroid at hardkernel dot com>

Technicavolous
Posts: 53
Joined: Mon May 30, 2016 12:17 pm
languages_spoken: Southern US English
ODROIDs: :

XU4 -> CloudShell, BoomBonnet,
eMMC64/Ubuntu
eMMC16/Armbian

C2 -> VU7, HiFiShield2
SD/Ubuntu
eMMC16/Armbian

HC1 -> http://ww2.tech-party.us
SD/Ubuntu
SD/Armbian
.
Location: Howey In The Hills, FL
Contact:

Re: Purchase question

Unread post by Technicavolous » Tue May 29, 2018 1:26 am

victomteng wrote: "Can’t connect securely to this page
This might be because the site uses outdated or unsafe TLS security settings. If this keeps happening, try contacting the website’s owner."
I had a problem similar when my pc date and locale was incorrect. I was getting that message on all the secure sites though.
What box?

Post Reply

Return to “General Topics”

Who is online

Users browsing this forum: No registered users and 3 guests